Name: curl
Version: 7.58.0
Release: 2
License: MIT
Summary: command line tool and library for transferring data with URLs
Url: https://curl.haxx.se

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: openssl-devel < 1.1.0
BuildRequires: zlib-devel

Source0: https://curl.haxx.se/download/curl-%{version}.tar.bz2


%description
curl is used in command lines or scripts to transfer data. It is also used in cars, television sets, routers, printers, audio equipment, mobile phones, tablets, settop boxes, media players and is the internet transfer backbone for thousands of software applications affecting billions of humans daily. 


%package -n libcurl4
Summary: libcurl library

%description -n libcurl4
Library for using CURL.


%package devel
Summary: curl development files
Requires: libcurl4 = %{version}

# curl-config --libs requires users to link to zlib and openssl as well
Requires: zlib-devel
Requires: openssl-devel < 1.1.0

%description devel
Development tools, libraries, and header files for building applictions which use libcurl.

%prep
%setup -q

%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-brtl -L%{_libdir} -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --prefix=%{_prefix} \
  --with-aix-soname=svr4 \
  --enable-symbol-hiding \
  --disable-static \
  --disable-manual \
  --enable-ipv6 \
  --with-ssl \
  --with-ca-fallback \
  --without-libssh2 \
  --without-ca-path \
  --without-ca-bundle \
  # end

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files
%defattr(-, qsys, *none)

%{_bindir}/curl


%files -n libcurl4
%defattr(-, qsys, *none)

%{_libdir}/libcurl.so.4
%{_mandir}/man1/curl.1

%files devel
%defattr(-, qsys, *none)

%{_bindir}/curl-config

%{_includedir}/curl

%{_libdir}/libcurl.so
%{_libdir}/pkgconfig/libcurl.pc

%{_datadir}/aclocal/libcurl.m4

%{_mandir}/man1/curl-config.1
%{_mandir}/man3/*

%changelog
